Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.opensymphony.xwork2.ognl.accessor
Class CompoundRootAccessor

    java.lang.Object
      com.opensymphony.xwork2.ognl.accessor.CompoundRootAccessor

All Implemented Interfaces:
  ognl.ClassResolver, ognl.MethodAccessor, ognl.PropertyAccessor

    public class CompoundRootAccessor

extends java.lang.Object
implements ognl.PropertyAccessor, ognl.MethodAccessor, ognl.ClassResolver

A stack that is able to call methods on objects in the stack.

Version:
  $Revision: 894090 $
Author:
  $Author: martinc $, Rainer Hermanns

Constructor Summary
`CompoundRootAccessor()`

Method Summary
`java.lang.Object` | `callMethod(java.util.Map context, java.lang.Object target, java.lang.String name, java.lang.Object[] objects)`
`java.lang.Object` | `callStaticMethod(java.util.Map transientVars, java.lang.Class aClass, java.lang.String s, java.lang.Object[] objects)`
`java.lang.Class` | `classForName(java.lang.String className, java.util.Map context)`
`java.lang.Object` | `getProperty(java.util.Map context, java.lang.Object target, java.lang.Object name)`
`java.lang.String` | `getSourceAccessor(ognl.OgnlContext context, java.lang.Object target, java.lang.Object index)` Used by OGNl to generate bytecode
`java.lang.String` | `getSourceSetter(ognl.OgnlContext context, java.lang.Object target, java.lang.Object index)` Used by OGNl to generate bytecode
`static void` | `setDevMode(java.lang.String mode)`
`void` | `setProperty(java.util.Map context, java.lang.Object target, java.lang.Object name, java.lang.Object value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CompoundRootAccessor

    public CompoundRootAccessor()

Method Detail

### getSourceAccessor

    public java.lang.String getSourceAccessor(ognl.OgnlContext context,
                                              java.lang.Object target,
                                              java.lang.Object index)

  Used by OGNl to generate bytecode

  Specified by:
    `getSourceAccessor` in interface `ognl.PropertyAccessor`

### getSourceSetter

    public java.lang.String getSourceSetter(ognl.OgnlContext context,
                                            java.lang.Object target,
                                            java.lang.Object index)

  Used by OGNl to generate bytecode

  Specified by:
    `getSourceSetter` in interface `ognl.PropertyAccessor`

### setDevMode

    public static void setDevMode(java.lang.String mode)

### setProperty

    public void setProperty(java.util.Map context,
                            java.lang.Object target,
                            java.lang.Object name,
                            java.lang.Object value)
                     throws ognl.OgnlException

  Specified by:
    `setProperty` in interface `ognl.PropertyAccessor`
  Throws:
    `ognl.OgnlException`

### getProperty

    public java.lang.Object getProperty(java.util.Map context,
                                        java.lang.Object target,
                                        java.lang.Object name)
                                 throws ognl.OgnlException

  Specified by:
    `getProperty` in interface `ognl.PropertyAccessor`
  Throws:
    `ognl.OgnlException`

### callMethod

    public java.lang.Object callMethod(java.util.Map context,
                                       java.lang.Object target,
                                       java.lang.String name,
                                       java.lang.Object[] objects)
                                throws ognl.MethodFailedException

  Specified by:
    `callMethod` in interface `ognl.MethodAccessor`
  Throws:
    `ognl.MethodFailedException`

### callStaticMethod

    public java.lang.Object callStaticMethod(java.util.Map transientVars,
                                             java.lang.Class aClass,
                                             java.lang.String s,
                                             java.lang.Object[] objects)
                                      throws ognl.MethodFailedException

  Specified by:
    `callStaticMethod` in interface `ognl.MethodAccessor`
  Throws:
    `ognl.MethodFailedException`

### classForName

    public java.lang.Class classForName(java.lang.String className,
                                        java.util.Map context)
                                 throws java.lang.ClassNotFoundException

  Specified by:
    `classForName` in interface `ognl.ClassResolver`
  Throws:
    `java.lang.ClassNotFoundException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.